/*
 * Created on 2005-05-22
 *
 * Part of the Symbian development plug-in for Eclipse
 * Copyright (C) Mikołaj Zalewski, 2005
 */
package pl.zalewski.mikolaj.symbdev.core.internal.mmpmodel;

import org.eclipse.ui.editors.text.FileDocumentProvider;

/**
 * A document provider that provides information how many times the
 * file is opened, so it is possible to check if it is opened in a
 * editor.
 * 
 * @author mikolaj
 */
public class MMPDocumentProvider extends FileDocumentProvider {

    public MMPDocumentProvider() {
        super();
    }
    
    public int getUseCount(Object input) {
        ElementInfo ei=getElementInfo(input);
        return ei.fCount;
    }
}
